<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ExoTreeView: Exo Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="Exo Reference Manual">
<link rel="up" href="exo-widgets.html" title="Part III. Additional widgets">
<link rel="prev" href="ExoIconView.html" title="ExoIconView">
<link rel="next" href="ExoWrapTable.html" title="ExoWrapTable">
<meta name="generator" content="GTK-Doc V1.24 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#ExoTreeView.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#ExoTreeView.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#ExoTreeView.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#ExoTreeView.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="exo-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="ExoIconView.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="ExoWrapTable.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="ExoTreeView"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="ExoTreeView.top_of_page"></a>ExoTreeView</span></h2>
<p>ExoTreeView — An improved version of <a href="http://developer.gnome.org/gtk2/GtkTreeView.html"><span class="type">GtkTreeView</span></a></p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="ExoTreeView.functions"></a><h2>Functions</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="http://developer.gnome.org/gtk2/GtkWidget.html"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="ExoTreeView.html#exo-tree-view-new" title="exo_tree_view_new ()">exo_tree_view_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="ExoTreeView.html#exo-tree-view-get-single-click" title="exo_tree_view_get_single_click ()">exo_tree_view_get_single_click</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="ExoTreeView.html#exo-tree-view-set-single-click" title="exo_tree_view_set_single_click ()">exo_tree_view_set_single_click</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
</td>
<td class="function_name">
<a class="link" href="ExoTreeView.html#exo-tree-view-get-single-click-timeout" title="exo_tree_view_get_single_click_timeout ()">exo_tree_view_get_single_click_timeout</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="ExoTreeView.html#exo-tree-view-set-single-click-timeout" title="exo_tree_view_set_single_click_timeout ()">exo_tree_view_set_single_click_timeout</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="ExoTreeView.properties"></a><h2>Properties</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="ExoTreeView.html#ExoTreeView--single-click" title="The “single-click” property">single-click</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="ExoTreeView.html#ExoTreeView--single-click-timeout" title="The “single-click-timeout” property">single-click-timeout</a></td>
<td class="property_flags">Read / Write</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="ExoTreeView.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="ExoTreeView.html#ExoTreeView-struct" title="struct ExoTreeView">ExoTreeView</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="ExoTreeView.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="https://developer.gnome.org/gobject/unstable/gobject-The-Base-Object-Type.html#GObject">GObject</a>
    <span class="lineart">╰──</span> <a href="https://developer.gnome.org/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> GtkObject
            <span class="lineart">╰──</span> <a href="http://developer.gnome.org/gtk2/GtkWidget.html">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="http://developer.gnome.org/gtk2/GtkContainer.html">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="http://developer.gnome.org/gtk2/GtkTreeView.html">GtkTreeView</a>
                        <span class="lineart">╰──</span> ExoTreeView
</pre>
</div>
<div class="refsect1">
<a name="ExoTreeView.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
ExoTreeView implements
 <a href="/usr/share/gtk-doc/html/atk/AtkObject.html#AtkImplementorIface">AtkImplementorIface</a> and  <a href="http://developer.gnome.org/gtk2/GtkBuildable.html">GtkBuildable</a>.</p>
</div>
<div class="refsect1">
<a name="ExoTreeView.includes"></a><h2>Includes</h2>
<pre class="synopsis">#include &lt;exo/exo.h&gt;
</pre>
</div>
<div class="refsect1">
<a name="ExoTreeView.description"></a><h2>Description</h2>
<p>The <a class="link" href="ExoTreeView.html" title="ExoTreeView"><span class="type">ExoTreeView</span></a> class derives from <a href="http://developer.gnome.org/gtk2/GtkTreeView.html"><span class="type">GtkTreeView</span></a> and extends it with
the ability to activate rows using single button clicks instead of
the default double button clicks. It also works around a few shortcomings
of <a href="http://developer.gnome.org/gtk2/GtkTreeView.html"><span class="type">GtkTreeView</span></a>, i.e. <a class="link" href="ExoTreeView.html" title="ExoTreeView"><span class="type">ExoTreeView</span></a> allows the user to drag around multiple
selected rows.</p>
</div>
<div class="refsect1">
<a name="ExoTreeView.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="exo-tree-view-new"></a><h3>exo_tree_view_new ()</h3>
<pre class="programlisting"><a href="http://developer.gnome.org/gtk2/GtkWidget.html"><span class="returnvalue">GtkWidget</span></a> *
exo_tree_view_new (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>Allocates a new <a class="link" href="ExoTreeView.html" title="ExoTreeView"><span class="type">ExoTreeView</span></a> instance.</p>
<div class="refsect3">
<a name="id-1.4.7.10.2.5"></a><h4>Returns</h4>
<p> the newly allocated <a class="link" href="ExoTreeView.html" title="ExoTreeView"><span class="type">ExoTreeView</span></a>.</p>
</div>
<p class="since">Since: 0.3.1.3</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-tree-view-get-single-click"></a><h3>exo_tree_view_get_single_click ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
exo_tree_view_get_single_click (<em class="parameter"><code>const <a class="link" href="ExoTreeView.html" title="ExoTreeView"><span class="type">ExoTreeView</span></a> *tree_view</code></em>);</pre>
<p>Returns <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if <em class="parameter"><code>tree_view</code></em>
 is in single-click mode, else <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a>.</p>
<div class="refsect3">
<a name="id-1.4.7.10.3.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>tree_view</p></td>
<td class="parameter_description"><p>an <a class="link" href="ExoTreeView.html" title="ExoTreeView"><span class="type">ExoTreeView</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.4.7.10.3.6"></a><h4>Returns</h4>
<p> whether <em class="parameter"><code>tree_view</code></em>
is in single-click mode.</p>
</div>
<p class="since">Since: 0.3.1.3</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-tree-view-set-single-click"></a><h3>exo_tree_view_set_single_click ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
exo_tree_view_set_single_click (<em class="parameter"><code><a class="link" href="ExoTreeView.html" title="ExoTreeView"><span class="type">ExoTreeView</span></a> *tree_view</code></em>,
                                <em class="parameter"><code><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> single_click</code></em>);</pre>
<p>If <em class="parameter"><code>single_click</code></em>
 is <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a>, <em class="parameter"><code>tree_view</code></em>
 will use single-click mode, else
the default double-click mode will be used.</p>
<div class="refsect3">
<a name="id-1.4.7.10.4.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>tree_view</p></td>
<td class="parameter_description"><p>an <a class="link" href="ExoTreeView.html" title="ExoTreeView"><span class="type">ExoTreeView</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>single_click</p></td>
<td class="parameter_description"><p><a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> to use single-click for <em class="parameter"><code>tree_view</code></em>
, <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> otherwise.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: 0.3.1.3</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-tree-view-get-single-click-timeout"></a><h3>exo_tree_view_get_single_click_timeout ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
exo_tree_view_get_single_click_timeout
                               (<em class="parameter"><code>const <a class="link" href="ExoTreeView.html" title="ExoTreeView"><span class="type">ExoTreeView</span></a> *tree_view</code></em>);</pre>
<p>Returns the amount of time in milliseconds after which the
item under the mouse cursor will be selected automatically
in single click mode. A value of <code class="literal">0</code> means that the behavior
is disabled and the user must alter the selection manually.</p>
<div class="refsect3">
<a name="id-1.4.7.10.5.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>tree_view</p></td>
<td class="parameter_description"><p>a <a class="link" href="ExoTreeView.html" title="ExoTreeView"><span class="type">ExoTreeView</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.4.7.10.5.6"></a><h4>Returns</h4>
<p> the single click autoselect timeout or <code class="literal">0</code> if
the behavior is disabled.</p>
</div>
<p class="since">Since: 0.3.1.5</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-tree-view-set-single-click-timeout"></a><h3>exo_tree_view_set_single_click_timeout ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
exo_tree_view_set_single_click_timeout
                               (<em class="parameter"><code><a class="link" href="ExoTreeView.html" title="ExoTreeView"><span class="type">ExoTreeView</span></a> *tree_view</code></em>,
                                <em class="parameter"><code><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a> single_click_timeout</code></em>);</pre>
<p>If <em class="parameter"><code>single_click_timeout</code></em>
 is a value greater than zero, it specifies
the amount of time in milliseconds after which the item under the
mouse cursor will be selected automatically in single click mode.
A value of <code class="literal">0</code> for <em class="parameter"><code>single_click_timeout</code></em>
 disables the autoselection
for <em class="parameter"><code>tree_view</code></em>
.</p>
<p>This setting does not have any effect unless the <em class="parameter"><code>tree_view</code></em>
 is in
single-click mode, see <a class="link" href="ExoTreeView.html#exo-tree-view-set-single-click" title="exo_tree_view_set_single_click ()"><code class="function">exo_tree_view_set_single_click()</code></a>.</p>
<div class="refsect3">
<a name="id-1.4.7.10.6.6"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>tree_view</p></td>
<td class="parameter_description"><p>a <a class="link" href="ExoTreeView.html" title="ExoTreeView"><span class="type">ExoTreeView</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>single_click_timeout</p></td>
<td class="parameter_description"><p>the new timeout or <code class="literal">0</code> to disable.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: 0.3.1.5</p>
</div>
</div>
<div class="refsect1">
<a name="ExoTreeView.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="ExoTreeView-struct"></a><h3>struct ExoTreeView</h3>
<pre class="programlisting">struct ExoTreeView;</pre>
<p>The <a class="link" href="ExoIconView.html" title="ExoIconView"><span class="type">ExoIconView</span></a> struct contains only private fields and should
not be directly accessed.</p>
</div>
</div>
<div class="refsect1">
<a name="ExoTreeView.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="ExoTreeView--single-click"></a><h3>The <code class="literal">“single-click”</code> property</h3>
<pre class="programlisting">  “single-click”             <a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p><a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> to activate items using a single click instead of a
double click.</p>
<p>Flags: Read / Write</p>
<p>Default value: FALSE</p>
<p class="since">Since: 0.3.1.3</p>
</div>
<hr>
<div class="refsect2">
<a name="ExoTreeView--single-click-timeout"></a><h3>The <code class="literal">“single-click-timeout”</code> property</h3>
<pre class="programlisting">  “single-click-timeout”     <a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>The amount of time in milliseconds after which the hover row (the row
which is hovered by the mouse cursor) will be selected automatically
in single-click mode. A value of <code class="literal">0</code> disables the automatic selection.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
<p class="since">Since: 0.3.1.5</p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.24</div>
</body>
</html>